%global sum	Cute breakout-like game

Summary:	%{sum}
Name:		circuslinux
Version:	1.0.3
Release:	%mkrel 25
Source0:	ftp://ftp.sonic.net/pub/users/nbs/unix/x/circus-linux/%{name}-%{version}.tar.bz2
Source5:	%{name}-16.png
Source6:	%{name}-32.png
Source7:	%{name}-48.png
Patch0:		%{name}-1.0.3-fix-64bits-build.patch
License:	GPLv2
Url:		http://newbreedsoftware.com/circus-linux/
Group:		Games/Arcade
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(alsa)

%description
"Circus Linux!" is based on the Atari 2600 game "Circus Atari" by Atari,
released in 1980.  Gameplay is similar to "Breakout" and "Arkanoid"- you
slide a device left and right to bounce objects into the air which destroy
a wall.

%prep
%setup -q
%autopatch -p1

# fix EOL
mv README-SDL.txt README-SDL.txt.msdos
sed -e 's/\r$//' README-SDL.txt.msdos > README-SDL.txt

cat << EOF > %{name}.desktop
[Desktop Entry]
Name=Circus Linux
Comment=%{sum}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

%build
%configure	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
%make

%install
%makeinstall bindir=%{buildroot}%{_gamesbindir} datadir=%{buildroot}%{_gamesdatadir}

install -D -m644 %{name}.desktop %buildroot%{_datadir}/applications/%{name}.desktop
install -D -m644 %SOURCE6 %buildroot%{_iconsdir}/%{name}.png
install -D -m644 %SOURCE6 %buildroot%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -D -m644 %SOURCE5 %buildroot%{_miconsdir}/%{name}.png
install -D -m644 %SOURCE5 %buildroot%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -D -m644 %SOURCE7 %buildroot%{_liconsdir}/%{name}.png
install -D -m644 %SOURCE7 %buildroot%{_iconsdir}/hicolor/48x48/apps/%{name}.png

rm -rf %buildroot%_datadir/doc/circuslinux-1.0.3

%files
%doc AUTHORS.txt CHANGES.txt README.txt FAQ.txt README-SDL.txt
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_datadir}/applications/*
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png


%changelog
* Wed Apr 15 2020 danf <danf> 1.0.3-25.mga8
+ Revision: 1567570
- Fix Comment= in .desktop file to stop referring to debug sources

* Wed Feb 12 2020 umeabot <umeabot> 1.0.3-24.mga8
+ Revision: 1511303
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 22 2018 umeabot <umeabot> 1.0.3-23.mga7
+ Revision: 1296252
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.0.3-22.mga6
+ Revision: 946746
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-21.mga5
+ Revision: 744769
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-20.mga5
+ Revision: 678403
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.3-19.mga4
+ Revision: 503343
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0.3-18.mga3
+ Revision: 347755
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 24 2011 zezinho <zezinho> 1.0.3-17.mga2
+ Revision: 147341
- add BR SDL mixer

* Fri Sep 23 2011 zezinho <zezinho> 1.0.3-16.mga2
+ Revision: 146991
- typo
- imported package circuslinux

